#include "Multiply.h"


Multiply::Multiply(Expression *left, Expression *right)
    : BinaryOperator(left, right)
{
}


Multiply::~Multiply(void)
{
}

int Multiply::interpret(std::map<std::string,Expression*> &variables)
{
    return m_leftOperand->interpret(variables) * m_rightOperand->interpret(variables);
}
